unit z1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Grids, DBGrids;

type
  TForm4 = class(TForm)
    RadioGroup1: TRadioGroup;
    DBGrid1: TDBGrid;
    Button1: TButton;
    Button2: TButton;
    procedure RadioGroup1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses datamodule;

{$R *.dfm}

procedure TForm4.RadioGroup1Click(Sender: TObject);
begin
dbgrid1.DataSource:=dm1.z1;
dm1.ADOQuery3.Active:=false;
dm1.ADOQuery3.SQL.Clear;
case RadioGroup1.ItemIndex of
0:dm1.ADOQuery3.SQL.Add('select название,адрес from [Список сооружений] where категория=''стадион''');
1:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''корт''');
2:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''спортзал''');
3:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''манеж''');
4:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''тренажерный зал''');
5:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''бассейн''');
6:dm1.ADOQuery3.SQL.Add('select название,адрес  from [Список сооружений] where категория=''спорт комплекс''');
else
end;
dm1.ADOQuery3.active:=true;
end;

procedure TForm4.FormActivate(Sender: TObject);
begin
dbgrid1.DataSource:=dm1.dsssooruzh;
end;

procedure TForm4.Button1Click(Sender: TObject);
begin
dbgrid1.DataSource:=dm1.dsssooruzh;
end;

procedure TForm4.Button2Click(Sender: TObject);
begin
close;
end;

end.
